LLVM: lldb::SBDebugger Class Reference
Description: C++ source code API documentation for LLDB.
Keywords: LLDB,C++,doxygen,API,documentation

LLDB API Documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Members

Public Member Functions | Static Public Member Functions | Friends | List of all members
lldb::SBDebugger Class Reference

`#include <SBDebugger.h>`

## Public Member Functions
| SBDebugger ()
| SBDebugger (const lldb::SBDebugger &rhs)
| SBDebugger (const lldb::DebuggerSP &debugger_sp)
lldb::SBDebugger & | operator= (const lldb::SBDebugger &rhs)
| ~SBDebugger ()
bool | IsValid () const
void | Clear ()
void | SetAsync (bool b)
bool | GetAsync ()
void | SkipLLDBInitFiles (bool b)
void | SkipAppInitFiles (bool b)
void | SetInputFileHandle (FILE *f, bool transfer_ownership)
void | SetOutputFileHandle (FILE *f, bool transfer_ownership)
void | SetErrorFileHandle (FILE *f, bool transfer_ownership)
FILE * | GetInputFileHandle ()
FILE * | GetOutputFileHandle ()
FILE * | GetErrorFileHandle ()
void | SaveInputTerminalState ()
void | RestoreInputTerminalState ()
lldb::SBCommandInterpreter | GetCommandInterpreter ()
void | HandleCommand (const char *command)
lldb::SBListener | GetListener ()
void | HandleProcessEvent (const lldb::SBProcess &process, const lldb::SBEvent &event, FILE *out, FILE *err)
lldb::SBTarget | CreateTarget (const char *filename, const char *target_triple, const char *platform_name, bool add_dependent_modules, lldb::SBError &error)
lldb::SBTarget | CreateTargetWithFileAndTargetTriple (const char *filename, const char *target_triple)
lldb::SBTarget | CreateTargetWithFileAndArch (const char *filename, const char *archname)
lldb::SBTarget | CreateTarget (const char *filename)
bool | DeleteTarget (lldb::SBTarget &target)
lldb::SBTarget | GetTargetAtIndex (uint32_t idx)
uint32_t | GetIndexOfTarget (lldb::SBTarget target)
lldb::SBTarget | FindTargetWithProcessID (pid_t pid)
lldb::SBTarget | FindTargetWithFileAndArch (const char *filename, const char *arch)
uint32_t | GetNumTargets ()
lldb::SBTarget | GetSelectedTarget ()
void | SetSelectedTarget (SBTarget &target)
lldb::SBSourceManager | GetSourceManager ()
lldb::SBError | SetCurrentPlatform (const char *platform_name)
bool | SetCurrentPlatformSDKRoot (const char *sysroot)
bool | SetUseExternalEditor (bool input)
bool | GetUseExternalEditor ()
bool | SetUseColor (bool use_color)
bool | GetUseColor () const
lldb::ScriptLanguage | GetScriptingLanguage (const char *script_language_name)
bool | EnableLog (const char *channel, const char **categories)
void | SetLoggingCallback (lldb::LogOutputCallback log_callback, void *baton)
void | DispatchInput (void *baton, const void *data, size_t data_len)
void | DispatchInput (const void *data, size_t data_len)
void | DispatchInputInterrupt ()
void | DispatchInputEndOfFile ()
void | PushInputReader (lldb::SBInputReader &reader)
void | NotifyTopInputReader (lldb::InputReaderAction notification)
bool | InputReaderIsTopReader (const lldb::SBInputReader &reader)
const char * | GetInstanceName ()
bool | GetDescription (lldb::SBStream &description)
uint32_t | GetTerminalWidth () const
void | SetTerminalWidth (uint32_t term_width)
lldb::user_id_t | GetID ()
const char * | GetPrompt () const
void | SetPrompt (const char *prompt)
lldb::ScriptLanguage | GetScriptLanguage () const
void | SetScriptLanguage (lldb::ScriptLanguage script_lang)
bool | GetCloseInputOnEOF () const
void | SetCloseInputOnEOF (bool b)
SBTypeCategory | GetCategory (const char *category_name)
SBTypeCategory | CreateCategory (const char *category_name)
bool | DeleteCategory (const char *category_name)
uint32_t | GetNumCategories ()
SBTypeCategory | GetCategoryAtIndex (uint32_t)
SBTypeCategory | GetDefaultCategory ()
SBTypeFormat | GetFormatForType (SBTypeNameSpecifier)
SBTypeSummary | GetSummaryForType (SBTypeNameSpecifier)
SBTypeFilter | GetFilterForType (SBTypeNameSpecifier)
SBTypeSynthetic | GetSyntheticForType (SBTypeNameSpecifier)

## Static Public Member Functions
static void | Initialize ()
static void | Terminate ()
static lldb::SBDebugger | Create ()
static lldb::SBDebugger | Create (bool source_init_files)
static lldb::SBDebugger | Create (bool source_init_files, lldb::LogOutputCallback log_callback, void *baton)
static void | Destroy (lldb::SBDebugger &debugger)
static void | MemoryPressureDetected ()
static bool | GetDefaultArchitecture (char *arch_name, size_t arch_name_len)
static bool | SetDefaultArchitecture (const char *arch_name)
static const char * | GetVersionString ()
static const char * | StateAsCString (lldb::StateType state)
static bool | StateIsRunningState (lldb::StateType state)
static bool | StateIsStoppedState (lldb::StateType state)
static SBDebugger | FindDebuggerWithID (int id)
static lldb::SBError | SetInternalVariable (const char *var_name, const char *value, const char *debugger_instance_name)
static lldb::SBStringList | GetInternalVariableValue (const char *var_name, const char *debugger_instance_name)

## Friends
class | SBCommandInterpreter
class | SBInputReader
class | SBListener
class | SBProcess
class | SBSourceManager
class | SBTarget

## Detailed Description

Definition at line 18 of file SBDebugger.h.

## Constructor & Destructor Documentation

lldb::SBDebugger::SBDebugger | ( |  | ) |

lldb::SBDebugger::SBDebugger | ( | const lldb::SBDebugger & | rhs | ) |

lldb::SBDebugger::SBDebugger | ( | const lldb::DebuggerSP & | debugger_sp | ) |

lldb::SBDebugger::~SBDebugger | ( |  | ) |

## Member Function Documentation

void lldb::SBDebugger::Clear | ( |  | ) |

static lldb::SBDebugger lldb::SBDebugger::Create | ( |  | ) |
| static

static lldb::SBDebugger lldb::SBDebugger::Create | ( | bool | source_init_files | ) |
| static

static lldb::SBDebugger lldb::SBDebugger::Create | ( | bool | source_init_files,
|  | lldb::LogOutputCallback | log_callback,
|  | void * | baton
| ) |  |
| static

SBTypeCategory lldb::SBDebugger::CreateCategory | ( | const char * | category_name | ) |

lldb::SBTarget lldb::SBDebugger::CreateTarget | ( | const char * | filename,
|  | const char * | target_triple,
|  | const char * | platform_name,
|  | bool | add_dependent_modules,
|  | lldb::SBError & | error
| ) |  |

lldb::SBTarget lldb::SBDebugger::CreateTarget | ( | const char * | filename | ) |

lldb::SBTarget lldb::SBDebugger::CreateTargetWithFileAndArch | ( | const char * | filename,
|  | const char * | archname
| ) |  |

lldb::SBTarget lldb::SBDebugger::CreateTargetWithFileAndTargetTriple | ( | const char * | filename,
|  | const char * | target_triple
| ) |  |

bool lldb::SBDebugger::DeleteCategory | ( | const char * | category_name | ) |

bool lldb::SBDebugger::DeleteTarget | ( | lldb::SBTarget & | target | ) |

static void lldb::SBDebugger::Destroy | ( | lldb::SBDebugger & | debugger | ) |
| static

void lldb::SBDebugger::DispatchInput | ( | void * | baton,
|  | const void * | data,
|  | size_t | data_len
| ) |  |

void lldb::SBDebugger::DispatchInput | ( | const void * | data,
|  | size_t | data_len
| ) |  |

void lldb::SBDebugger::DispatchInputEndOfFile | ( |  | ) |

void lldb::SBDebugger::DispatchInputInterrupt | ( |  | ) |

bool lldb::SBDebugger::EnableLog | ( | const char * | channel,
|  | const char ** | categories
| ) |  |

static SBDebugger lldb::SBDebugger::FindDebuggerWithID | ( | int | id | ) |
| static

lldb::SBTarget lldb::SBDebugger::FindTargetWithFileAndArch | ( | const char * | filename,
|  | const char * | arch
| ) |  |

lldb::SBTarget lldb::SBDebugger::FindTargetWithProcessID | ( | pid_t | pid | ) |

bool lldb::SBDebugger::GetAsync | ( |  | ) |

SBTypeCategory lldb::SBDebugger::GetCategory | ( | const char * | category_name | ) |

SBTypeCategory lldb::SBDebugger::GetCategoryAtIndex | ( | uint32_t |  | ) |

bool lldb::SBDebugger::GetCloseInputOnEOF | ( |  | ) | const

lldb::SBCommandInterpreter lldb::SBDebugger::GetCommandInterpreter | ( |  | ) |

static bool lldb::SBDebugger::GetDefaultArchitecture | ( | char * | arch_name,
|  | size_t | arch_name_len
| ) |  |
| static

SBTypeCategory lldb::SBDebugger::GetDefaultCategory | ( |  | ) |

bool lldb::SBDebugger::GetDescription | ( | lldb::SBStream & | description | ) |

FILE* lldb::SBDebugger::GetErrorFileHandle | ( |  | ) |

SBTypeFilter lldb::SBDebugger::GetFilterForType | ( | SBTypeNameSpecifier |  | ) |

SBTypeFormat lldb::SBDebugger::GetFormatForType | ( | SBTypeNameSpecifier |  | ) |

lldb::user_id_t lldb::SBDebugger::GetID | ( |  | ) |

uint32_t lldb::SBDebugger::GetIndexOfTarget | ( | lldb::SBTarget | target | ) |

FILE* lldb::SBDebugger::GetInputFileHandle | ( |  | ) |

const char* lldb::SBDebugger::GetInstanceName | ( |  | ) |

static lldb::SBStringList lldb::SBDebugger::GetInternalVariableValue | ( | const char * | var_name,
|  | const char * | debugger_instance_name
| ) |  |
| static

lldb::SBListener lldb::SBDebugger::GetListener | ( |  | ) |

uint32_t lldb::SBDebugger::GetNumCategories | ( |  | ) |

uint32_t lldb::SBDebugger::GetNumTargets | ( |  | ) |

FILE* lldb::SBDebugger::GetOutputFileHandle | ( |  | ) |

const char* lldb::SBDebugger::GetPrompt | ( |  | ) | const

lldb::ScriptLanguage lldb::SBDebugger::GetScriptingLanguage | ( | const char * | script_language_name | ) |

lldb::ScriptLanguage lldb::SBDebugger::GetScriptLanguage | ( |  | ) | const

lldb::SBTarget lldb::SBDebugger::GetSelectedTarget | ( |  | ) |

lldb::SBSourceManager lldb::SBDebugger::GetSourceManager | ( |  | ) |

SBTypeSummary lldb::SBDebugger::GetSummaryForType | ( | SBTypeNameSpecifier |  | ) |

SBTypeSynthetic lldb::SBDebugger::GetSyntheticForType | ( | SBTypeNameSpecifier |  | ) |

lldb::SBTarget lldb::SBDebugger::GetTargetAtIndex | ( | uint32_t | idx | ) |

uint32_t lldb::SBDebugger::GetTerminalWidth | ( |  | ) | const

bool lldb::SBDebugger::GetUseColor | ( |  | ) | const

bool lldb::SBDebugger::GetUseExternalEditor | ( |  | ) |

static const char* lldb::SBDebugger::GetVersionString | ( |  | ) |
| static

void lldb::SBDebugger::HandleCommand | ( | const char * | command | ) |

void lldb::SBDebugger::HandleProcessEvent | ( | const lldb::SBProcess & | process,
|  | const lldb::SBEvent & | event,
|  | FILE * | out,
|  | FILE * | err
| ) |  |

static void lldb::SBDebugger::Initialize | ( |  | ) |
| static

bool lldb::SBDebugger::InputReaderIsTopReader | ( | const lldb::SBInputReader & | reader | ) |

bool lldb::SBDebugger::IsValid | ( |  | ) | const

static void lldb::SBDebugger::MemoryPressureDetected | ( |  | ) |
| static

void lldb::SBDebugger::NotifyTopInputReader | ( | lldb::InputReaderAction | notification | ) |

lldb::SBDebugger& lldb::SBDebugger::operator= | ( | const lldb::SBDebugger & | rhs | ) |

void lldb::SBDebugger::PushInputReader | ( | lldb::SBInputReader & | reader | ) |

void lldb::SBDebugger::RestoreInputTerminalState | ( |  | ) |

void lldb::SBDebugger::SaveInputTerminalState | ( |  | ) |

void lldb::SBDebugger::SetAsync | ( | bool | b | ) |

void lldb::SBDebugger::SetCloseInputOnEOF | ( | bool | b | ) |

lldb::SBError lldb::SBDebugger::SetCurrentPlatform | ( | const char * | platform_name | ) |

bool lldb::SBDebugger::SetCurrentPlatformSDKRoot | ( | const char * | sysroot | ) |

static bool lldb::SBDebugger::SetDefaultArchitecture | ( | const char * | arch_name | ) |
| static

void lldb::SBDebugger::SetErrorFileHandle | ( | FILE * | f,
|  | bool | transfer_ownership
| ) |  |

void lldb::SBDebugger::SetInputFileHandle | ( | FILE * | f,
|  | bool | transfer_ownership
| ) |  |

static lldb::SBError lldb::SBDebugger::SetInternalVariable | ( | const char * | var_name,
|  | const char * | value,
|  | const char * | debugger_instance_name
| ) |  |
| static

void lldb::SBDebugger::SetLoggingCallback | ( | lldb::LogOutputCallback | log_callback,
|  | void * | baton
| ) |  |

void lldb::SBDebugger::SetOutputFileHandle | ( | FILE * | f,
|  | bool | transfer_ownership
| ) |  |

void lldb::SBDebugger::SetPrompt | ( | const char * | prompt | ) |

void lldb::SBDebugger::SetScriptLanguage | ( | lldb::ScriptLanguage | script_lang | ) |

void lldb::SBDebugger::SetSelectedTarget | ( | SBTarget & | target | ) |

void lldb::SBDebugger::SetTerminalWidth | ( | uint32_t | term_width | ) |

bool lldb::SBDebugger::SetUseColor | ( | bool | use_color | ) |

bool lldb::SBDebugger::SetUseExternalEditor | ( | bool | input | ) |

void lldb::SBDebugger::SkipAppInitFiles | ( | bool | b | ) |

void lldb::SBDebugger::SkipLLDBInitFiles | ( | bool | b | ) |

static const char* lldb::SBDebugger::StateAsCString | ( | lldb::StateType | state | ) |
| static

static bool lldb::SBDebugger::StateIsRunningState | ( | lldb::StateType | state | ) |
| static

static bool lldb::SBDebugger::StateIsStoppedState | ( | lldb::StateType | state | ) |
| static

static void lldb::SBDebugger::Terminate | ( |  | ) |
| static

## Friends And Related Function Documentation

friend class SBCommandInterpreter
| friend

Definition at line 310 of file SBDebugger.h.

friend class SBInputReader
| friend

Definition at line 311 of file SBDebugger.h.

friend class SBListener
| friend

Definition at line 312 of file SBDebugger.h.

friend class SBProcess
| friend

Definition at line 313 of file SBDebugger.h.

friend class SBSourceManager
| friend

Definition at line 314 of file SBDebugger.h.

friend class SBTarget
| friend

Definition at line 315 of file SBDebugger.h.

The documentation for this class was generated from the following file:

- SBDebugger.h